foreman-installer `Foreman_proxy::Register` fails before restarting services
Priority: Normal   
Category:    

Target version:    

Difficulty:  Fixed in Releases:  
Pull request:    

Description

In katello nightly using the latest staging repos, foreman-installer --katello-use-pulp-2-for-docker true --katello-use-pulp-2-for-file true

fails with the following error:

    [vagrant@centos7-katello-nightly-3 foreman_maintain]$ sudo foreman-installer --katello-use-pul

p-2-for-docker true --katello-use-pulp-2-for-file true

     /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[centos7-katello-nightly-3.cannolo.exa

mple.com]: Could not evaluate: Proxy centos7-katello-nightly-3.cannolo.example.com cannot be retri

eved: unknown error (response 503)

    /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb

:7:in `proxy'

    /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb

:13:in `id'

    /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb

:17:in `exists?'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/ensure.rb:82:in `retrieve'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1105:in `retrieve'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1133:in `retrieve_resource'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:307:in `fro

m_resource'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:20:in `eval

uate'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:267:in `apply'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:287:in `eval_resource'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:191:in `call'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:191:in `block (2 levels) in 

evaluate'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:521:in `block in thinmark'

    /opt/puppetlabs/puppet/lib/ruby/2.5.0/benchmark.rb:308:in `realtime'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:520:in `thinmark'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:191:in `block in evaluate'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:122:in `travers

e'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:178:in `evaluate'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:240:in `block (2 levels

) in apply'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:521:in `block in thinmark'

    /opt/puppetlabs/puppet/lib/ruby/2.5.0/benchmark.rb:308:in `realtime'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:520:in `thinmark'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:239:in `block in apply'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:161:in `with_destination'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in `as_logging_de

stination'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:238:in `apply'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:185:in `block (2 levels) in a

pply_catalog'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:521:in `block in thinmark'

05/12/2024 1/2



    /opt/puppetlabs/puppet/lib/ruby/2.5.0/benchmark.rb:308:in `realtime'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:520:in `thinmark'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:184:in `block in apply_catalo

g'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:233:in `block in benchmark'

    /opt/puppetlabs/puppet/lib/ruby/2.5.0/benchmark.rb:308:in `realtime'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:232:in `benchmark'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:183:in `apply_catalog'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:387:in `run_internal'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:227:in `block in run'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:62:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:290:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:210:in `run'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:343:in `apply_catalog'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:260:in `block (2 level

s) in main'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:62:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:290:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:243:in `block in main'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:62:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:290:in `override'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:207:in `main'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:177:in `run_command'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:382:in `block in run'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:710:in `exit_on_fail'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:382:in `run'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:143:in `run'

    /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:77:in `execute'

    /opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

    Preparing installation Done                                              

      Something went wrong! Check the log for ERROR-level output

      The full log is at /var/log/foreman-installer/katello.log

 This happens consistently until I do a foreman-maintain service restart.  If I try it again after the installer runs successfully, I get the

error again.

History

#1 - 03/13/2020 03:29 PM - Ewoud Kohl van Wijngaarden

- Description updated

I don't think this is really the root cause. We see the same issue in upgrading. My current theory is that the service takes a while to start up due to

system load.

#2 - 03/13/2020 03:37 PM - Ian Ballou

- Subject changed from `foreman-installer --katello-use-pulp-2-for-docker/file true` fails before restarting services to foreman-installer

Foreman_proxy::Register` `fails before restarting services

I think I remember seeing this during foreman-installer --reset too.  I've make the title a bit more generic.

#3 - 03/13/2020 03:37 PM - Ian Ballou

- Subject changed from foreman-installer Foreman_proxy::Register` `fails before restarting services to foreman-installer `Foreman_proxy::Register`

fails before restarting services

#4 - 07/01/2020 12:23 PM - Ewoud Kohl van Wijngaarden

We now have systemd socket activation which should prevent this. Have you recently seen this or can we close it?

#5 - 07/01/2020 12:55 PM - Ian Ballou

I haven't seen it recently, so I think it's safe to close.

#6 - 07/01/2020 01:03 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved
